/**
 * \file gre/uimapgrd.h
 * \brief GRE User Interface definitions for MapGrid layer.
 *
 * \if NODOC
 * $Id: uimapgrd.h_v 1.6 2013/02/15 20:49:52 mju Exp $
 *
 * $Log: uimapgrd.h_v $
 * Revision 1.6  2013/02/15 20:49:52  mju
 * Fix dox hdr.
 *
 * Revision 1.5  2005/10/14 17:33:26  mju
 * GRE namespace and treeview.
 *
 * Revision 1.4  2003/12/15 21:46:39  mju
 * Use dlgshell.
 *
 * Revision 1.3  2003/09/15 13:48:59  fileserver!dwilliss
 * Doxygen
 *
 * Revision 1.2  2003/07/30 15:42:44  mju
 * Ignore private sections.
 *
 * Revision 1.1  2002/09/10 14:25:01  mju
 * Initial revision
 * \endif
**/

#ifndef	INC_GRE_UIMAPGRD_H
#define	INC_GRE_UIMAPGRD_H

#ifndef	INC_GRE_LRMAPGRD_H
#include <gre/lrmapgrd.h>
#endif

#ifndef	INC_MGUI_DLGSHELL_H
#include <mgui/dlgshell.h>
#endif

namespace GRE {
//===================================================================================================================
//! Dialog for modifying map grid layer display settings.
class LAYER_MAPGRID::DISPPARM::DLG : public MGUI::DLGSHELL {
	public:

		//! Constructor.
		explicit DLG (
			LAYERFLAGS LayerFlags,			//!< Layer flags for control enabling
			bool Include3D						//!< Include 3D settings
			);

		//! Destructor.
		virtual ~DLG (
			);

		const LAYER_MAPGRID::DISPPARM& GetValues (
			);

		ERRVALUE SetValues (
			const LAYER_MAPGRID::DISPPARM& values
			);

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		class PRIV;

		LAYERFLAGS m_LayerFlags;
		bool m_Include3D;
		PRIV *m_pPriv;

		virtual ERRVALUE v_CreateContent ();

		friend class LAYER_MAPGRID::DISPPARM::DLG::PRIV;
		#endif //!< GENERATING_DOXYGEN_OUTPUT
	};


//===================================================================================================================
}	// End namespace GRE

#endif	//!< INC_GRE_UIMAPGRD_H
