/*****************************************************************************
 * \file <mgui/dlglogindbmysql.h>
 * \brief MGUI::DLG_LOGIN_DB_MYSQL definitions
 *
 * \if NODOC
 * $Id: dlglogindbmysql.h_v 1.3 2011/06/21 19:44:05 mju Exp $
 *
 * $Log: dlglogindbmysql.h_v $
 * Revision 1.3  2011/06/21 19:44:05  mju
 * Rename.
 *
 * Revision 1.2  2006/04/14 19:09:55  dwilliss
 * Added support for schema prompting
 *
 * Revision 1.1  2006/03/28 18:09:28  dwilliss
 * Initial revision
 * \endif
****************************************************************************/

#ifndef INC_MGUI_DLGLOGINDBMYSQL_H
#define INC_MGUI_DLGLOGINDBMYSQL_H

#ifndef INC_MGUI_DLGLOGINDB_H
#include <mgui/dlglogindb.h>
#endif

namespace MGUI {

//=====================================================================================================================

//! Dialog to login to MySQL database.
class DLG_LOGIN_DB_MYSQL : public MGUI::DLG_LOGIN_DB {
	public:

		DLG_LOGIN_DB_MYSQL ();

		virtual ~DLG_LOGIN_DB_MYSQL ();

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT

		virtual void v_GetConnectionString (
			MISTRING& ConnectionString,
			bool bForGettingDatabaseList,
			const MISTRING& Host,
			const MISTRING& User,
			const MISTRING& Password,
			const MISTRING& Database,
			const MISTRING& Schema,
			INT32 port
			);

		virtual const char* v_GetDefaultDatabaseName () const;
		virtual INT32 v_GetDefaultPort () const;
		virtual const char* v_GetINIGroup () const;

		#endif
	};

//=====================================================================================================================

}	// End namespace MGUI

#endif // INC_MGUI_DLGLOGINDBMYSQL_H
