/**
 * \file matteform.h <mi32/matteform.h>
 * \brief MATTE::FORM definitions.
 *
 * \if NODOC
 * $Id: matteform.h_v 1.1 2006/09/01 17:21:11 mju Exp $
 *
 * $Log: matteform.h_v $
 * Revision 1.1  2006/09/01 17:21:11  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MI32_MATTEFORM_H
#define	INC_MI32_MATTEFORM_H

#ifndef	INC_MI32_MATTE_H
#include <mi32/matte.h>
#endif

#ifdef USE_MGUI

#ifndef	INC_MGUI_FORM_H
#include <mgui/form.h>
#endif

//! User interface form for MATTE settins.
class MATTE::FORM : public MGUI::FORM_COMPOSITE {
	public:

		//! Constructor.
		FORM ();

		//! Destructor.
		~FORM ();

		//! Create the form.
		void Create (
			MGUI::LAYOUT_PANE_BASE& ParentPane,		//!< 'Parent' pane
			MGUI::LAYOUT_SIZEALIGN sizealign = MGUI::LAYOUT_SIZEALIGN_FixedSize		//!< Sizing and alignment
			);

		//! Get current values.
		const MATTE& GetValues (
			);

		//! Set delegate to call when change made.
		void SetDelegateOnChange (
			DELEGATE_VOID_NOPARMS delegate
			);

		//! Set new values.
		void SetValues (
			const MATTE& values							//!< Values to set
			);

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		class PRIV;
		PRIV *m_pPriv;

		FORM (const FORM&);
		FORM& operator= (const FORM&);
		#endif // GENERATING_DOXYGEN_OUTPUT
	};

#endif	// USE_MGUI
#endif	// INC_MI32_MATTEFORM_H
