PLATFORM = win32
CPU = i386

!include <win32.mak>

!CMDSWITCHES -S
.SUFFIXES:.c_v .h_v .y_v

# For VC++ 8.0 and higher, /fp:fast is the same as NOT specifying /Op in VC++ 7.0 and earlier
cargs = -D_CRT_SECURE_NO_DEPRECATE -DNOMINMAX /GF /EHsc /Gs /fp:fast -D_MT
largs = /VERSION:7.9 /INCREMENTAL:NO

!IFDEF RELEASE
cargs = $(cargs) -O2 -DNDEBUG
#!IF defined(LINKSTATIC)
#cargs = $(cargs) -MT
#!ELSE
cargs = $(cargs) -MD
#!ENDIF
largs = $(largs) /RELEASE /OPT:REF

!ELSE	#DEBUG
# Specifying -Oi will allow intrinsic function inlining.  This will not mess up debugging, but Quantify will not erroneously report times 
# on non-inlined intrinsic functions.  Along with /fp:fast above, will allow trig intrinsic inlining
cargs = $(cargs) -Zi -Od -Oi -DDEBUG
largs = $(largs) /DEBUG /FIXED:no /OPT:NOREF
#!IF defined(LINKSTATIC)
#cargs = $(cargs) -MTd
#!ELSE
cargs = $(cargs) -MDd
largs = $(largs) /NODEFAULTLIB:msvcrt.lib
#!ENDIF

!ENDIF
!IF DEFINED(LINKSTATIC)
cargs = $(cargs) -DNODLLLINKAGE
!ENDIF

larg = $(largs)
LIBPATH = /LIBPATH:"$(PLATFORMSDK)\lib" /LIBPATH:"$(DSVC)\lib"
LIBPATHATLMFC = /LIBPATH:"$(DSVC)\atlmfc\lib"
INCPATH = -I"$(DSVC)\include" -I$(SDT)\$(RELNAME)\inc\contrib

!IF DEFINED(LINKSTATIC)
LIBPATH = $(LIBPATH) /LIBPATH:$(SDT)\$(RELNAME)\lib\$(PLATFORM)s
!IF DEFINED(RELEASE)
LIBS = misystems.lib xml2s.lib cryptlib.lib
!ELSE
LIBS = misystemsd.lib xml2sd.lib cryptlibd.lib
!ENDIF
LIBS = $(LIBS) user32.lib advapi32.lib iphlpapi.lib wmvcore.lib shell32.lib mpr.lib
!ELSE
!IF DEFINED(RELEASE) || DEFINED(DEBUGPART)
LIBPATH = $(LIBPATH) /LIBPATH:$(SDT)\$(RELNAME)\lib\$(PLATFORM)
LIBS =	tiff.lib png.lib freetype13.lib xml2.lib \
	misystem.lib geom.lib rvcsys.lib zlib.lib lcms.lib exiv2.lib lti_dsdk.lib
MIELIBS = hd413m.lib tabmif2.lib sdts.lib
#MIELIBS = $(MIELIBS) sdtspp.lib
MIELIBS = $(MIELIBS) lti_esdk.lib
!ELSE
LIBPATH = $(LIBPATH) /LIBPATH:$(SDT)\$(RELNAME)\lib\$(PLATFORM)d
LIBS =	tiffd.lib pngd.lib freetype13d.lib xml2d.lib gdal_id.lib \
	misystemd.lib geomd.lib rvcsysd.lib zlibd.lib lcmsd.lib exiv2d.lib lti_dsdkd.lib
MIELIBS = hd413md.lib tabmif2d.lib sdtsd.lib dwgd.lib
#MIELIBS = $(MIELIBS) sdtsppd.lib
MIELIBS = $(MIELIBS) lti_esdkd.lib /NODEFAULTLIB:atlsd.lib
!ENDIF

LIBS = $(LIBS) $(guilibs) wmvcore.lib shell32.lib mpr.lib setupapi.lib DelayImp.lib\
	/DELAYLOAD:odbc32.dll odbc32.lib \
	/DELAYLOAD:odbccp32.dll odbccp32.lib

MIELIBS = $(MIELIBS) vfw32.lib \
	/DELAYLOAD:ncsecw.dll ncsecw.lib \
	/DELAYLOAD:ncsecwc.dll ncsecwc.lib \
	/DELAYLOAD:ncsutil.dll ncsutil.lib \
	/DELAYLOAD:geogx_u.dll geogx_u.lib \
	/DELAYLOAD:geodist.dll geodist.lib \
	
!IF DEFINED(RELEASE)
MIELIBS = $(MIELIBS) \
	/DELAYLOAD:dwg.dll dwg.lib

LIBS = $(LIBS) \
	/DELAYLOAD:gdal.dll gdal_i.lib
!ENDIF

!ENDIF

