/**
 * \file rvc/dbthull.h
 * \brief interface for the RVC::DBASE_TINHULL class.
 *
 * \if NODOC
 * $Id: dbthull.h_v 1.10 2010/05/12 21:08:48 mju Exp $
 *
 * $Log: dbthull.h_v $
 * Revision 1.10  2010/05/12 21:08:48  mju
 * Simplify to just ctor and specify parent objtype when construct base.
 *
 * Revision 1.1  2001/05/25 19:23:08  scowan
 * Initial revision
 *
 * \endif
**/

#ifndef INC_RVC_DBTHULL_H
#define INC_RVC_DBTHULL_H

#ifndef INC_RVC_DBELEM_H
	#include <rvc/dbelem.h>
#endif

namespace RVC {

//! Manage RVC::OBJTYPE_Database_TIN objects.  
class DBASE_TINHULL : public RVC::DBASE_ELEMENT {
	public:

		//! Default constructor
		DBASE_TINHULL (
			): DBASE_ELEMENT(OBJTYPE_TIN,ELEMTYPE_Hull) { }

	};

}		// End of RVC namespace

#endif 	// INC_RVC_DBTHULL_H
