/**
 * \file rvc/uiobjtypeimagelist.h
 * \brief Definitions for RVC::UI::OBJTYPEIMAGELIST
 *
 * \if NODOC
 * $Id: uiobjtypeimagelist.h_v 1.2 2009/10/05 20:46:24 mju Exp $
 *
 * $Log: uiobjtypeimagelist.h_v $
 * Revision 1.2  2009/10/05 20:46:24  mju
 * Add ctor using bgcolor.
 *
 * Revision 1.1  2007/03/28 20:20:49  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_RVC_UIOBJTYPEIMAGELIST_H
#define	INC_RVC_UIOBJTYPEIMAGELIST_H

#ifndef INC_MGUI_IMAGELST_H
#include <mgui/imagelst.h>
#endif

#ifndef INC_RVC_OBJTYPE_H
#include <rvc/objtype.h>
#endif

namespace RVC {
namespace UI {

//! Class to keep track of image list for object types.
class OBJTYPEIMAGELIST : public MGUI::IMAGELIST {
	public:

		//! Construct with default background color, loads icons from resource file.
		OBJTYPEIMAGELIST (
			);

		//! Construct with specified background color, loads icons from resource file.
		explicit OBJTYPEIMAGELIST (
			const COLOR& bgcolor
			);

		//! Determine index in list for object type.
		int GetIndex (
			RVC::OBJTYPE objtype
			) const { return (m_index[objtype]); }

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		int m_index[RVC::OBJTYPE_LAST];

		void InitObjType ();
		#endif // GENERATING_DOXYGEN_OUTPUT
	};

}	// End namespace UI
}	// End namespace RVC

#endif	// INC_RVC_UIOBJTYPEIMAGELIST_H
