/**
 * \file imagefilterpalettize.h <spatmod/imagefilterpalettize.h>
 * \brief Spatial Modelling (SPATMOD) IMAGE::FILTER_PALETTIZE definition.
 *
 * \if NODOC
 * $Id: imagefilterpalettize.h_v 1.1 2010/06/03 15:43:03 bcolombe Exp $
 *
 * $Log: imagefilterpalettize.h_v $
 * Revision 1.1  2010/06/03 15:43:03  bcolombe
 * Initial revision
 *
 *
 * \endif
**/

#ifndef	INC_SPATMOD_IMAGEFILTERPALETTIZE_H
#define	INC_SPATMOD_IMAGEFILTERPALETTIZE_H

#ifndef	INC_SPATMOD_IMAGEFILTER_H
#include <spatmod/imagefilter.h>
#endif

#ifndef INC_MI32_COLORARRAY_H
#include <mi32/colorarray.h>
#endif

namespace SPATMOD {
namespace IMAGE {

class BUFFER;

//=====================================================================================================================

//! Filter to palettize image
class FILTER_PALETTIZE : public FILTER {
	public:

		FILTER_PALETTIZE (
			STAGE *pStageInput,						//!< Pointer to stage
			bool TakeOwnership						//!< Filter takes ownership of previous stage and will delete when needed
			);

		// Destructor.
		virtual ~FILTER_PALETTIZE ();

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		COLOR_ARRAY m_Palette;

		// STAGE/FILTER overrides.
		virtual ERRVALUE v_Initialize ();
		virtual ERRVALUE v_PullSubSection (const SECTION& SubSection, BUFFER& buffer);

		// Unimplemented
		FILTER_PALETTIZE (const FILTER_PALETTIZE&);
		FILTER_PALETTIZE& operator= (const FILTER_PALETTIZE&);
		#endif // GENERATING_DOXYGEN_OUTPUT

	};

//=====================================================================================================================

}	// End namespace IMAGE
}	// End namespace SPATMOD

#endif	// INC_SPATMOD_IMAGEFILTERPALETTIZE_H

