/* $XFree86: xc/include/extensions/xtraplibp.h,v 1.1 2001/11/02 23:29:26 dawes Exp $ */
#ifndef __XTRAPLIBP__
#define __XTRAPLIBP__


/*****************************************************************************
Copyright 1987, 1988, 1989, 1990, 1991, 1994 by Digital Equipment Corp., 
Maynard, MA

Permission to use, copy, modify, and distribute this software and its 
documentation for any purpose and without fee is hereby granted, 
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in 
supporting documentation, and that the name of Digital not be
used in advertising or publicity pertaining to distribution of the
software without specific, written prior permission.  

DIGITAL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
SOFTWARE.

*****************************************************************************/
/*
 *
 *  CONTRIBUTORS:
 *
 *      Dick Annicchiarico
 *      Robert Chesler
 *      Dan Coutu
 *      Gene Durso
 *      Marc Evans
 *      Alan Jamison
 *      Mark Henry
 *      Ken Miller
 *
 *  DESCRIPTION:
 *      This header file contains the function prototypes for client/toolkit
 *      routines sorted by module (globally defined routines *only*).
 */

/* XEConTxt.c */
XLIBEXPORT XETC *XECreateTC (Display *dpy , CARD32 valuemask , XETCValues *value );
XLIBEXPORT int XEChangeTC (XETC *tc , CARD32 mask , XETCValues *values );
XLIBEXPORT void XEFreeTC (XETC *tc );
XLIBEXPORT int XETrapSetMaxPacket (XETC *tc , Bool set_flag , CARD16 size );
XLIBEXPORT int XETrapSetCommandKey (XETC *tc , Bool set_flag , KeySym cmd_key , 
    Bool mod_flag );
XLIBEXPORT int XETrapSetTimestamps (XETC *tc , Bool set_flag , Bool delta_flag );
XLIBEXPORT int XETrapSetWinXY (XETC *tc , Bool set_flag );
XLIBEXPORT int XETrapSetCursor (XETC *tc , Bool set_flag );
XLIBEXPORT int XETrapSetXInput (XETC *tc , Bool set_flag );
XLIBEXPORT int XETrapSetColorReplies (XETC *tc , Bool set_flag );
XLIBEXPORT int XETrapSetGrabServer (XETC *tc , Bool set_flag );
XLIBEXPORT int XETrapSetStatistics (XETC *tc , Bool set_flag );
XLIBEXPORT int XETrapSetRequests (XETC *tc , Bool set_flag , ReqFlags requests );
XLIBEXPORT int XETrapSetEvents (XETC *tc , Bool set_flag , EventFlags events );
XLIBEXPORT Bool XESetCmdGateState (XETC *tc , CARD8 type, Bool *gate_closed , 
    CARD8 *next_key , Bool *key_ignore );

/* XERqsts.c */
XLIBEXPORT int XEFlushConfig (XETC *tc );
XLIBEXPORT int XEResetRequest (XETC *tc );
XLIBEXPORT int XEGetVersionRequest (XETC *tc , XETrapGetVersRep *ret );
XLIBEXPORT int XEGetLastInpTimeRequest (XETC *tc , XETrapGetLastInpTimeRep *ret );
XLIBEXPORT int XEGetAvailableRequest (XETC *tc , XETrapGetAvailRep *ret );
XLIBEXPORT int XEStartTrapRequest (XETC *tc );
XLIBEXPORT int XEStopTrapRequest (XETC *tc );
XLIBEXPORT int XESimulateXEventRequest (XETC *tc , CARD8 type , CARD8 detail , 
    CARD16 x , CARD16 y , CARD8 screen );
XLIBEXPORT int XEGetCurrentRequest (XETC *tc , XETrapGetCurRep *ret );
XLIBEXPORT int XEGetStatisticsRequest (XETC *tc , XETrapGetStatsRep *ret );

/* XECallBcks.c */
XLIBEXPORT int XEAddRequestCB (XETC *tc , CARD8 req , void_function func , BYTE *data );
XLIBEXPORT int XEAddRequestCBs (XETC *tc , ReqFlags req_flags , void_function func , 
    BYTE *data );
XLIBEXPORT int XEAddEventCB (XETC *tc , CARD8 evt , void_function func , BYTE *data );
XLIBEXPORT int XEAddEventCBs (XETC *tc , EventFlags evt_flags , void_function func , 
    BYTE *data );

/* The following seem to never be used.  Perhaps they should be removed */
XLIBEXPORT void XERemoveRequestCB (XETC *tc, CARD8 req);
XLIBEXPORT void XERemoveRequestCBs (XETC *tc, ReqFlags req_flags);
XLIBEXPORT void XERemoveAllRequestCBs (XETC *tc);
XLIBEXPORT void XERemoveEventCB (XETC *tc, CARD8 evt);
XLIBEXPORT void XERemoveEventCBs (XETC *tc, EventFlags evt_flags);
XLIBEXPORT void XERemoveAllEventCBs (XETC *tc);


/* XEDsptch.c */
XLIBEXPORT Boolean XETrapDispatchXLib (XETrapDataEvent *event , XETC *tc);

/* XEWrappers.c */
XLIBEXPORT Boolean XETrapDispatchEvent (XEvent *pevent , XETC *tc );
XLIBEXPORT XtInputMask XETrapAppPending (XtAppContext app);
XLIBEXPORT void XETrapAppMainLoop (XtAppContext app , XETC *tc );
XLIBEXPORT int XETrapAppWhileLoop (XtAppContext app , XETC *tc , Bool *done );
XLIBEXPORT int XETrapWaitForSomething (XtAppContext app );
XLIBEXPORT Boolean (*XETrapSetEventHandler(XETC *tc, CARD32 id, Boolean (*pfunc)(XETrapDataEvent *event, XETC *tc))) (XETrapDataEvent *event, XETC *tc);

/* XEPrInfo.c */
XLIBEXPORT void XEPrintRelease (FILE *ofp , XETrapGetAvailRep *pavail );
XLIBEXPORT void XEPrintTkRelease ( FILE *ofp, XETC *tc);
XLIBEXPORT void XEPrintPlatform (FILE *ofp , XETrapGetAvailRep *pavail );
XLIBEXPORT void XEPrintAvailFlags (FILE *ofp , XETrapGetAvailRep *pavail );
XLIBEXPORT void XEPrintAvailPktSz (FILE *ofp , XETrapGetAvailRep *pavail );
XLIBEXPORT void XEPrintStateFlags (FILE *ofp , XETrapGetCurRep *pcur );
XLIBEXPORT void XEPrintMajOpcode (FILE *ofp , XETrapGetAvailRep *pavail );
XLIBEXPORT void XEPrintCurXY (FILE *ofp , XETrapGetAvailRep *pavail );
XLIBEXPORT void XEPrintTkFlags (FILE *ofp , XETC *tc );
XLIBEXPORT void XEPrintLastTime (FILE *ofp , XETC *tc );
XLIBEXPORT void XEPrintCfgFlags (FILE *ofp , XETrapGetCurRep *pcur );
XLIBEXPORT void XEPrintRequests (FILE *ofp , XETrapGetCurRep *pcur );
XLIBEXPORT void XEPrintEvents (FILE *ofp , XETrapGetCurRep *pcur );
XLIBEXPORT void XEPrintCurPktSz (FILE *ofp , XETrapGetCurRep *pcur );
XLIBEXPORT void XEPrintCmdKey (FILE *ofp , XETrapGetCurRep *pcur );
XLIBEXPORT void XEPrintEvtStats (FILE *ofp , XETrapGetStatsRep *pstats , XETC *tc);
XLIBEXPORT void XEPrintReqStats (FILE *ofp , XETrapGetStatsRep *pstats , XETC *tc);
XLIBEXPORT void XEPrintAvail (FILE *ofp , XETrapGetAvailRep *pavail );
XLIBEXPORT void XEPrintTkState (FILE *ofp , XETC *tc );
XLIBEXPORT void XEPrintCurrent (FILE *ofp , XETrapGetCurRep *pcur );
XLIBEXPORT void XEPrintStatistics (FILE *ofp , XETrapGetStatsRep *pstats, XETC *tc );

/* XEStrMap.c */
XLIBEXPORT INT16 XEEventStringToID (char *string );
XLIBEXPORT INT16 XERequestStringToID (char *string );
XLIBEXPORT CARD32 XEPlatformStringToID (char *string );
XLIBEXPORT char *XEEventIDToString (CARD8 id , XETC *tc);
XLIBEXPORT char *XERequestIDToExtString (register CARD8 id , XETC *tc);
XLIBEXPORT char *XERequestIDToString (CARD8 id , XETC *tc);
XLIBEXPORT char *XEPlatformIDToString (CARD32 id );

/* XETrapInit.c */
XLIBEXPORT Bool XETrapQueryExtension (Display *dpy,INT32 *event_base_return,
			  INT32 *error_base_return, INT32 *opcode_return);


#endif /* __XTRAPLIBP__ */
